Subject: Re: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 17:35:15 +0200

> Date: Sat, 06 Mar 2021 16:38:52 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > What we have as a doc is directly in the docstring of
> > `comp-libgccjit-reproducer', I guess we could improve it.
> > 
> > Essentially having it bound to t while compiling produces a C file
> > deposed where the .eln target directory.
> 
> The reproducer file is attached.  It is large, so I compressed it.
> Let me know if you see there anything that could explain the problem.

More info: if I set comp-speed to 0 or 1, the compilation of subr-x.el
doesn't crash.